## org.exist.xquery.value
Class GYearValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.ComputableValue
              org.exist.xquery.value.AbstractDateTimeValue
                  org.exist.xquery.value.GYearValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

public class GYearValue
extends AbstractDateTimeValue

Field Summary

Fields inherited from class org.exist.xquery.value.AbstractDateTimeValue
`calendar, DAY, HOUR, MILLISECOND, MINUTE, MONTH, SECOND, YEAR`

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`GYearValue()`
`GYearValue(java.lang.String timeValue)`
`GYearValue(javax.xml.datatype.XMLGregorianCalendar calendar)`

Method Summary
`AtomicValue` `convertTo(int requiredType)` Convert this item into an atomic value, whose type corresponds to the specified target type.
`int` `getType()` Return the type of this item according to the type constants defined in class `Type`.
`ComputableValue` `minus(ComputableValue other)`

Methods inherited from class org.exist.xquery.value.AbstractDateTimeValue
`adjustedToTimezone, compareTo, compareTo, compareTo, conversionPreference, div, effectiveBooleanValue, getPart, getStringValue, getTimezone, max, min, mult, plus, toJavaObject, withoutTimezone`

Methods inherited from class org.exist.xquery.value.AtomicValue
`add, addAll, atomize, clearContext, contains, copyTo, deserialize, dump, endsWith, getCardinality, getDocumentSet, getItemType, getLength, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, startsWith, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GYearValue

    public GYearValue()
               throws XPathException

### GYearValue

    public GYearValue(javax.xml.datatype.XMLGregorianCalendar calendar)
               throws XPathException

### GYearValue

    public GYearValue(java.lang.String timeValue)
               throws XPathException

Method Detail

### convertTo

    public AtomicValue convertTo(int requiredType)
                          throws XPathException

  Description copied from interface: `Item`
  Convert this item into an atomic value, whose type corresponds to the specified target type. requiredType should be one of the type constants defined in `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Item`
  Specified by:
    `convertTo` in class `AbstractDateTimeValue`
  Throws:
    `XPathException`

### getType

    public int getType()

  Description copied from interface: `Item`
  Return the type of this item according to the type constants defined in class `Type`.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `AtomicValue`

### minus

    public ComputableValue minus(ComputableValue other)
                          throws XPathException

  Specified by:
    `minus` in class `ComputableValue`
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.